Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.access
Class TilesAccess

    java.lang.Object
      org.apache.tiles.access.TilesAccess

    public final class TilesAccess

extends java.lang.Object

Provides static access to the tiles container.

Version:
  $Rev: 797628 $ $Date: 2009-07-24 21:38:14 +0200 (ven, 24 lug 2009) $

Field Summary
`static java.lang.String` | `CONTAINER_ATTRIBUTE` The name of the attribute to use when getting and setting the container object in a context.

Method Summary
`static TilesApplicationContext` | `getApplicationContext(java.lang.Object context)` Deprecated. Use one of the environment-specific Utilities (e.g. ServletUtil).
`static TilesContainer` | `getContainer(java.lang.Object context)` Deprecated. Use one of the environment-specific Utilities (e.g. ServletUtil).
`static void` | `setContainer(java.lang.Object context, TilesContainer container)` Deprecated. Use `setContainer(TilesApplicationContext, TilesContainer)`.
`static void` | `setContainer(TilesApplicationContext context, TilesContainer container)` Configures the default container to be used in the application.
`static void` | `setContainer(TilesApplicationContext context, TilesContainer container, java.lang.String key)` Configures the container to be used in the application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTAINER_ATTRIBUTE

    public static final java.lang.String CONTAINER_ATTRIBUTE

  The name of the attribute to use when getting and setting the container object in a context.

  See Also:
    Constant Field Values

Method Detail

### getContainer

    @Deprecated
    public static TilesContainer getContainer(java.lang.Object context)

  Deprecated. Use one of the environment-specific Utilities (e.g. ServletUtil).

  Finds and returns the default Tiles container object, if it was previously initialized.

  Parameters:
    `context` - The (application) context object to use.
  Returns:
    The container if it has been configured previously, otherwise `null`.
  See Also:
    `setContainer(Object, TilesContainer)`

### setContainer

    public static void setContainer(TilesApplicationContext context,
                                    TilesContainer container)

  Configures the default container to be used in the application.

  Parameters:
    `context` - The Tiles application context object to use.
    `container` - The container object to set.
  Throws:
    `TilesAccessException` - If something goes wrong during manipulation of the context.
  Since:
    2.1.2

### setContainer

    public static void setContainer(TilesApplicationContext context,
                                    TilesContainer container,
                                    java.lang.String key)

  Configures the container to be used in the application.

  Parameters:
    `context` - The Tiles application context object to use.
    `container` - The container object to set.
    `key` - The key under which the container will be stored.
  Throws:
    `TilesAccessException` - If something goes wrong during manipulation of the context.
  Since:
    2.1.2

### setContainer

    @Deprecated
    public static void setContainer(java.lang.Object context,
                                               TilesContainer container)

  Deprecated. Use `setContainer(TilesApplicationContext, TilesContainer)`.

  Configures the default container to be used in the application.

  Parameters:
    `context` - The (application) context object to use.
    `container` - The container object to set.
  Throws:
    `TilesAccessException` - If something goes wrong during manipulation of the context.

### getApplicationContext

    @Deprecated
    public static TilesApplicationContext getApplicationContext(java.lang.Object context)

  Deprecated. Use one of the environment-specific Utilities (e.g. ServletUtil).

  Returns the Tiles application context object.

  Parameters:
    `context` - The (application) context to use.
  Returns:
    The required Tiles application context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.